"use strict";

var _yargs = _interopRequireDefault(require("yargs"));

var _ = _interopRequireDefault(require("."));

var _package = require("../package.json");

var _fs = _interopRequireDefault(require("fs"));

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var argv = _yargs["default"].usage("\nRun readme as test\n\nUsage: $0 [options]").option("auto", {
  alias: "a",
  description: "Auto discover test code block",
  type: "boolean"
}).option("all", {
  alias: "l",
  description: "Run all supported code blocks",
  type: "boolean"
}).option("babel", {
  description: "Use babelrc when transpiling",
  "default": false,
  type: "boolean"
}).option("file", {
  alias: "f",
  description: "readme.md file to read"
}).option("main", {
  alias: "m",
  description: "Points to the entry point of the module",
  type: "string"
}).option("print-code", {
  alias: "p",
  description: "Print the transformed code",
  type: "boolean"
}).option("require", {
  alias: "r",
  description: "Require a given module",
  type: "array"
}).alias("h", "help").version(_package.version).help().argv;

function resolve(file) {
  try {
    _fs["default"].statSync(_path["default"].join(process.cwd(), file));

    return _path["default"].resolve(file);
  } catch (err) {
    return undefined;
  }
}

var filename = argv.file ? _path["default"].resolve(argv.file) : resolve("README.md") || resolve("readme.md");

if (filename == null) {
  console.log(_fs["default"].statSync(_path["default"].join(process.cwd(), "README.md")));
  console.error("could not locate readme.md");
  process.exit(1);
}

(0, _["default"])(argv.main, argv.require || [], argv["print-code"], argv.babel, argv.file ? _path["default"].resolve(argv.file) : resolve("README.md") || resolve("readme.md"), argv.auto, argv.all);