"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.runInThisContext = void 0;

var path = require("path");

var vm = require("vm");

var Module = require("module");

function createRequire(mod) {
  var Mod = mod.constructor;

  function require(path) {
    return mod.require(path);
  }

  function resolve(request) {
    return Mod._resolveFilename(request, mod);
  }

  require.resolve = resolve;
  require.main = process.mainModule;
  require.extensions = Mod._extensions;
  require.cache = Mod._cache;
  return require;
}

var runInThisContext = function runInThisContext(code, filename) {
  var script = new vm.Script(Module.wrap(code), {
    filename: filename,
    paths: path.dirname(filename),
    breakOnSigint: true
  }).runInThisContext();
  var scriptModule = new Module(filename, module);
  scriptModule.filename = filename;
  scriptModule.paths = Module._nodeModulePaths(path.dirname(filename));
  script.bind(scriptModule);
  return script(scriptModule.exports, createRequire(scriptModule), scriptModule, filename, path.dirname(filename));
};

exports.runInThisContext = runInThisContext;